Subject: Networking problem with 3.11-rc6+

From: Chris Clayton <[email-masked]>
Date: Tue, 20 Aug 2013 21:01:27 +0100

Hello,

I've just booted my laptop and found that networking was broken. Pings 
of other devices on my home network failed. A reboot has restored 
networking, but I thought I should report the problem anyway. I'll have 
no time tomorrow, but on Thursday I'll do a few boots to ascertain how 
repeatable the problem is.

Attached is a complete dmesg, but perhaps the most relevant part is:

[   65.181557] irq 17: nobody cared (try booting with the "irqpoll" option)
[   65.181566] CPU: 0 PID: 0 Comm: swapper/0 Not tainted 3.11.0-rc6+ #124
[   65.181568] Hardware name: FUJITSU LIFEBOOK AH531/FJNBB0F, BIOS 1.30 
05/28/2012
[   65.181571]  00000011 c141bb51 f3154840 c108d581 c14e071c 00000011 
f3003950 00006650
[   65.181581]  f3154840 00000011 c108d8f0 1e35395f 00000011 c135453b 
00000000 00000000
[   65.181588]  00000000 00000011 00000000 c108bb0b 0e0e192a 75c91d86 
a880c0ad de2115ee
[   65.181597] Call Trace:
[   65.181608]  [<c141bb51>] ? dump_stack+0x48/0x76
[   65.181614]  [<c108d581>] ? __report_bad_irq+0x21/0xc0
[   65.181619]  [<c108d8f0>] ? note_interrupt+0xf0/0x1a0
[   65.181624]  [<c135453b>] ? cpuidle_enter_state+0x3b/0xc0
[   65.181632]  [<c108bb0b>] ? handle_irq_event_percpu+0x9b/0x120
[   65.181641]  [<c1029019>] ? __io_apic_modify_irq+0x39/0x40
[   65.181646]  [<c108bbb9>] ? handle_irq_event+0x29/0x40
[   65.181650]  [<c108e210>] ? unmask_irq+0x20/0x20
[   65.181654]  [<c108e256>] ? handle_fasteoi_irq+0x46/0xd0
[   65.181656]  <IRQ>  [<c1003981>] ? do_IRQ+0x31/0xa0
[   65.181667]  [<c1420fec>] ? common_interrupt+0x2c/0x31
[   65.181673]  [<c107007b>] ? kmsg_dump_rewind_nolock+0x2b/0x40
[   65.181678]  [<c135453b>] ? cpuidle_enter_state+0x3b/0xc0
[   65.181682]  [<c135463b>] ? cpuidle_idle_call+0x7b/0x110
[   65.181688]  [<c1009f85>] ? arch_cpu_idle+0x5/0x20
[   65.181692]  [<c10702be>] ? cpu_startup_entry+0xae/0xf0
[   65.181697]  [<c15ab961>] ? start_kernel+0x2a8/0x2ad
[   65.181702]  [<c15ab505>] ? repair_env_string+0x4d/0x4d
[   65.181704] handlers:
[   65.181715] [<f8e38000>] rtl8169_interrupt [r8169]
[   65.181717] Disabling IRQ #17

Let me know if I can provide any additional information, although to be 
honest, the boot completed and the KDE desktop started up OK, so there 
may not be much else I can provide unless I find that the problem is 
repeatable.

Chris